=== debian/changelog ===
toybox (0.8.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #968162)

 -- Antoni Villalonga <antoni@friki.cat>  Wed, 22 Dec 2021 07:01:37 +0000
