=== debian/control ===
Source: toybox
Section: utils
Priority: optional
Maintainer: Antoni Villalonga <antoni@friki.cat>
Build-Depends: debhelper-compat (= 13),
#               libssl-dev,
#               zlib1g-dev,
               help2man,
               locales-all,
Standards-Version: 4.6.0.1
Homepage: https://www.landley.net/toybox/
Vcs-Browser: https://salsa.debian.org/debian/toybox
Vcs-Git: https://salsa.debian.org/debian/toybox.git
Rules-Requires-Root: no

Package: toybox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD-licensed Linux command line utilities
 Toybox combines common Linux command line utilities together into a single
 BSD-licensed executable that's simple, small, fast, reasonably
 standards-compliant, and powerful enough to turn Android into a development
 environment.
