## toybox 0.8.8%2Bdfsg

=== debian/changelog ===
toybox (0.8.8+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.8+dfsg
  * Bump Standards-Version to 4.6.1.0 (no changes)
  * Refresh patches
  * New patch spelling.patch
  * Wrap fstype for initramfs-tools. Closes: #1013074
  * Remove debian/toybox.lintian-overrides

 -- Antoni Villalonga <antoni@friki.cat>  Thu, 18 Aug 2022 22:44:38 +0000

toybox (0.8.6+dfsg-3) unstable; urgency=medium

  * Fix binary path on initramfs hook.
    Thanks to Axel Beckert for reporting and patch (Closes: #1006557)

 -- Antoni Villalonga <antoni@friki.cat>  Sun, 27 Feb 2022 23:39:07 +0000

toybox (0.8.6+dfsg-2) unstable; urgency=medium

  * New patch debianize-paths.patch
  * Add initramfs hooks

 -- Antoni Villalonga <antoni@friki.cat>  Sat, 26 Feb 2022 00:17:16 +0000
