## toybox 0.8.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # If people set these on the make command line, use 'em
 # Note that CC defaults to "cc" so the one in configure doesn't get
-# used when scripts/make.sh and care called through "make".
+# used when scripts/make.sh and such called through "make".
 
 HOSTCC?=cc
 
@@ -18,7 +18,7 @@
 
 .PHONY: clean distclean baseline bloatcheck install install_flat \
 	uninstall uninstall_flat tests help change \
-	list list_working list_pending root run_root
+	list list_example list_pending root run_root
 .SUFFIXES: # Disable legacy behavior
 
 include kconfig/Makefile
@@ -41,13 +41,13 @@
 bloatcheck: generated/unstripped/toybox_old generated/unstripped/toybox
 	@scripts/bloatcheck generated/unstripped/toybox_old generated/unstripped/toybox
 
-install_flat:
+install_flat: toybox
 	scripts/install.sh --symlink --force
 
-install_airlock:
+install_airlock: toybox
 	scripts/install.sh --symlink --force --airlock
 
-install:
+install: toybox
 	scripts/install.sh --long --symlink --force
 
 uninstall_flat:
@@ -65,7 +65,7 @@
 
 clean::
 	@chmod -fR 700 generated || true
-	@rm -rf toybox generated change .singleconfig*
+	@rm -rf toybox generated change install .singleconfig*
 	@echo cleaned
 
 # If singlemake was in generated/ "make clean; make test_ls" wouldn't work.
@@ -80,7 +80,7 @@
 	scripts/mkroot.sh $(MAKEFLAGS)
 
 run_root:
-	cd root/"$${CROSS:-host}" && ./qemu-*.sh
+	cd root/"$${CROSS:-host}" && ./run-qemu.sh
 
 help::
 	@cat scripts/help.txt
