=== debian/changelog ===
toybox (0.8.8+dfsg-2) unstable; urgency=medium

  * New patch timeout.patch. Closes: #1019392
  * New patch set-pathmax-default.patch

 -- Antoni Villalonga <antoni@friki.cat>  Sun, 11 Sep 2022 22:27:42 +0000
