=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #               zlib1g-dev,
                help2man,
                locales-all,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://www.landley.net/toybox/
 Vcs-Browser: https://salsa.debian.org/debian/toybox
 Vcs-Git: https://salsa.debian.org/debian/toybox.git
