=== debian/changelog ===
toybox (0.8.9+dfsg-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098577). Remaining changes:
    - Clear V from the environment, the package fails to build if set.

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Sat, 15 Feb 2025 21:17:57 +0000

toybox (0.8.9+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install into /usr. (Closes: #1073638)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 01:13:29 +0200

toybox (0.8.9+dfsg-1ubuntu1) lunar; urgency=medium

  * Clear V from the environment, the package fails to build if set.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2023 01:58:55 +0000

toybox (0.8.9+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.9+dfsg
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop patch set-pathmax-default.patch
  * Refresh patches
  * Autopkgtest: Update toybox-selftest

 -- Antoni Villalonga <antoni@friki.cat>  Sat, 18 Feb 2023 19:07:34 +0000
