## toybox 0.8.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	@rm -f toybox* .config* .singlemake
 	@echo removed .config
 
-tests:
+tests: toybox
 	scripts/test.sh
 
 root:
