=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
  https://www.landley.net/toybox/downloads/ \
  toybox-([\d\.]+)\.tar\.gz debian uupdate
